Uploaded image for project: 'stripes-cli'
  1. stripes-cli
  2. STCLI-183

CLONE - upgrade postcss to support @storybook/react v6

    XMLWordPrintable

    Details

    • Type: Task
    • Status: Closed (View Workflow)
    • Priority: TBD
    • Resolution: Done
    • Affects Version/s: None
    • Fix Version/s: 2.4.0
    • Labels:
      None
    • Template:
    • Sprint:
      stripes-force 122
    • Development Team:
      Stripes Force

      Description

      Summary: Update postcss as necessary to support @storybook/react v6 (STCOM-863). This will still be several major versions behind current postcss, but that would be a much more substantial upgrade requiring, among other things, upgrade webpack from v4 to v5.

      Stripes-cli needed some work to conditionally inject some added webpack aliases to support CI for stripes-components as well as the projects that depend on it.

        TestRail: Results

          Attachments

            Issue Links

              Activity

                People

                Assignee:
                JohnC John Coburn
                Reporter:
                JohnC John Coburn
                Votes:
                0 Vote for this issue
                Watchers:
                2 Start watching this issue

                  Dates

                  Created:
                  Updated:
                  Resolved:

                    TestRail: Runs

                      TestRail: Cases